#if !defined(AFX_SUPERVISTHREAD_H__E3CA3806_EC2C_11D2_9F5E_00104B6833D0__INCLUDED_)
#define AFX_SUPERVISTHREAD_H__E3CA3806_EC2C_11D2_9F5E_00104B6833D0__INCLUDED_

#include "soundeditor.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SuperVisThread.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CSuperVisThread thread

class CSuperVisThread : public CWinThread
{
	DECLARE_DYNCREATE(CSuperVisThread)
protected:
	CSuperVisThread();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
	void InitAutomationControls();
	BOOL Automation(CString _cProfectFile);
	BOOL bAutomationActivated;
	IEventGroups *m_IGroups;
	void ExitAutomation();
	BOOL InitAutomation();
	ISoundEditor *m_IEditor;
	IResource m_Resource;
	BOOL m_bIsPSheettActive;
	CSuperVisSheet * SuperVisSheet;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSuperVisThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CSuperVisThread();

	// Generated message map functions
	//{{AFX_MSG(CSuperVisThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SUPERVISTHREAD_H__E3CA3806_EC2C_11D2_9F5E_00104B6833D0__INCLUDED_)
